App\Entity\Stock:
    type: entity
    table: stock
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        quantite:
            type: integer
            unsigned: false
            nullable: true
    oneToMany:
        entrees:
            targetEntity: StockTransfert
            mappedBy: versStock
        sorties:
            targetEntity: StockTransfert
            mappedBy: depuisStock
    manyToOne:
        magasin:
            targetEntity: Magasin
            cascade: {  }
            mappedBy: null
            inversedBy: stocks
            joinColumns:
                magasin_id:
                    referencedColumnName: id
            orphanRemoval: false
        produit:
            targetEntity: Produit
            cascade: {  }
            mappedBy: null
            inversedBy: stocks
            joinColumns:
                produit_id:
                    referencedColumnName: id
            orphanRemoval: false